Set product surface overrides
curl --request PUT \
--url https://app.alana.shopping/api/workspace/{workspaceId}/products/{productId}/surfaces/{surfaceKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrides": {}
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/products/{productId}/surfaces/{surfaceKey}"
payload = { "overrides": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({overrides: {}})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/products/{productId}/surfaces/{surfaceKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"surface": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_key": "<string>",
"overrides": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Set Product Surface Overrides
PUT
/
api
/
workspace
/
{workspaceId}
/
products
/
{productId}
/
surfaces
/
{surfaceKey}
Set product surface overrides
Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
Pattern:
^[a-z][a-z0-9_]{1,48}[a-z0-9]$Body
application/json
Partial product fields to override for this surface. Valid keys are content fields from the CatalogProduct schema: title, description, short_description, keywords, attributes. Server validates and rejects unknown fields. Maximum 100KB, maximum 10 nesting depth.
Response
Overrides set
Show child attributes
Show child attributes
Last modified on March 19, 2026
⌘I